Package com.sun.jna.platform

# Class DesktopWindow

java.lang.Object
com.sun.jna.platform.DesktopWindow

public class DesktopWindow extends Object
Holds some general information about a window.

Author:
  Andreas "PAX" Lück, onkelpax-git[at]yahoo.de

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DesktopWindow(WinDef.HWND hwnd, String title, String filePath, Rectangle locAndSize)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFilePath()`
  `WinDef.HWND`
  `getHWND()`
  `Rectangle`
  `getLocAndSize()`
  `String`
  `getTitle()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DesktopWindow

    public DesktopWindow(WinDef.HWND hwnd, String title, String filePath, Rectangle locAndSize)
    Parameters:
      `hwnd` - The associated window handle for this window.
      `title` - The title text of the window.
      `filePath` - The full file path to the main process that created the window.
      `locAndSize` - The window's location on screen and its dimensions.

- ## Method Details

  - ### getHWND

    public WinDef.HWND getHWND()
    Returns:
      The associated window handle for this window.

  - ### getTitle

    public String getTitle()
    Returns:
      The title text of the window.

  - ### getFilePath

    public String getFilePath()
    Returns:
      The full file path to the main process that created the window.

  - ### getLocAndSize

    public Rectangle getLocAndSize()
    Returns:
      The window's location on screen and its dimensions.